services:
  vaultwarden:
    hostname: vaultwarden
    image: vaultwarden/server:latest
    ports:
      - target: 80
        published: "10380"
        protocol: tcp
    restart: unless-stopped
    env_file: .env
    volumes:
      - type: bind
        source: /opt/data/vaultwarden
        target: /data
networks:
  default:
    name: vaultwarden_default
